Bug 802862 - Review Request: drupal6-votingapi - Voting API module for Drupal6
Review Request: drupal6-votingapi - Voting API module for Drupal6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 12:38 EDT by Wesley Hearn
Modified: 2013-05-01 11:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 07:58:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wesley Hearn 2012-03-13 12:38:42 EDT
Spec URL: http://jknife.fedorapeople.org/SPECS/drupal6-votingapi.spec
SRPM URL: http://jknife.fedorapeople.org/SRPMS/drupal6-votingapi-2.3-3.el6.src.rpm
Description: VotingAPI for Drupal 6 helps developers who want to use a standardized API and schema for storing, retrieving, and tabulating votes for Drupal content.
Comment 1 Rex Dieter 2012-03-14 09:39:50 EDT
I'll take a gander.
Comment 2 Wesley Hearn 2012-03-14 10:38:59 EDT
Found that the wrong LICENSE.txt was included I have updated it to include the correct one.
SPEC: http://jknife.fedorapeople.org/SPECS/drupal6-votingapi.spec
SRPM: http://jknife.fedorapeople.org/SRPMS/drupal6-votingapi-2.3-4.el6.src.rpm
Comment 3 Rex Dieter 2012-03-14 13:14:35 EDT
$ rpmlint *.rpm noarch/*.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Sources: ok
$ md5sum *.gz
d448a23d95204b05a927067d0aa4a704  votingapi-6.x-2.3.tar.gz

Naming: ok

macros: ok

scriptlets: n/a

Licenses: NOT ok
seems the tarball includes a copy of LICENSE.txt which is standard GPLv2, and I can't find mention of any "or later" clause to justify GPLv2+


SHOULD  consider using a simpler approach for handling
Source1: %{name}-fedora-README.txt

and drop the relevant existing %build and %files %exclude snippets, and just use:
%files
%doc %{SOURCE1}



The rest of it is an *very* simple noarch package, though there seems to be some unused drupal macro boilerplate, which you could trim too.


Otherwise, remaining issue is licensing per my comment above.
Comment 4 Wesley Hearn 2012-03-14 13:37:17 EDT
Ok, I removed the added LICENSE.txt from the SRPM and I am using the one inside the tarball. I have also updated License from GPLv2+ to GPLv2.

SPEC: http://jknife.fedorapeople.org/SPECS/drupal6-votingapi.spec
SRPM: http://jknife.fedorapeople.org/SRPMS/drupal6-votingapi-2.3-4.el6.src.rpm
Comment 5 Rex Dieter 2012-03-14 13:41:41 EDT
the links you provide seem to be the same as from comment #2 still. ??
Comment 7 Rex Dieter 2012-03-14 13:57:03 EDT
win, APPROVED.
Comment 8 Wesley Hearn 2012-03-14 16:32:24 EDT
New Package SCM Request
=======================
Package Name: drupal6-votingapi
Short Description: Voting API module for Drupal6
Owners: jknife
Branches: f16 el6
InitialCC:
Comment 9 Gwyn Ciesla 2012-03-15 08:39:44 EDT
Git done (by process-git-requests).
Comment 10 Rex Dieter 2012-04-19 07:58:13 EDT
$ koji latest-pkg f16-updates drupal6-votingapi
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
drupal6-votingapi-2.3-5.fc16              f16-updates           jknife


looks like the deed is done, closing.
Comment 11 Wesley Hearn 2012-05-16 10:41:41 EDT
Package Change Request
======================
Package Name: drupal6-votingapi
New Branches: f17
Owners: jknife
InitialCC: 

Guess I submitted the request after Fedora 17 had been split off.
Comment 12 Gwyn Ciesla 2012-05-16 10:57:38 EDT
Git done (by process-git-requests).
Comment 13 Shawn Iwinski 2013-05-01 11:46:14 EDT
Package Change Request
======================
Package Name: drupal6-votingapi
New Branches: el5
Owners: jknife siwinski
InitialCC: 

Adding el5 branch to follow most other drupal6 packages.
Comment 14 Gwyn Ciesla 2013-05-01 11:59:29 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.